import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  npiProviderId: SortOrderSchema.optional(),
  totalCollection: SortOrderSchema.optional(),
  commissionAmount: SortOrderSchema.optional()
}).strict();
export const CommissionBatchSumOrderByAggregateInputObjectSchema: z.ZodType<Prisma.CommissionBatchSumOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.CommissionBatchSumOrderByAggregateInput>;
export const CommissionBatchSumOrderByAggregateInputObjectZodSchema = makeSchema();
